package com.ploedige.uebung7;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, @Nullable Intent data) {
        Log.v("MainActivity","requestCode:" + requestCode + "ResultCode" + resultCode);
        TextView result = (TextView) findViewById(R.id.result_tv);
        EditText editText = (EditText) findViewById(R.id.message_etxt);

        result.setText("Result: " + data.getExtras().getString("text"));
        editText.setText("Result: " + data.getExtras().getString("text"));
    }

    public void submit(View view){
        Intent intent = new Intent(this, ResultActivity.class);
        EditText editText = (EditText) findViewById(R.id.message_etxt);
        intent.putExtra("text",editText.getText().toString());
        startActivityForResult(intent,100);
    }

}