package com.ploedige.uebung7;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

public class ResultActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_result);

        Bundle extras = getIntent().getExtras();
        if(extras != null){
            EditText editText = (EditText) findViewById(R.id.message_etxt);
            editText.setText(extras.getString("text"));
        }
    }

    @Override
    public void finish(){
        Intent dataIntent = new Intent();
        EditText editText = (EditText) findViewById(R.id.message_etxt);
        dataIntent.putExtra("text",editText.getText().toString());
        setResult(RESULT_OK,dataIntent);
        super.finish();
    }

    public void sendResult(View view){
        finish();
    }
}